JettyHTTPConnector (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JettyHTTPConnector interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JettyHTTPConnector

All Superinterfaces:
  HTTPConnector, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  AJP13JettyConnector

    public interface JettyHTTPConnector

extends HTTPConnector

JettyHTTPConnector

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getBufferReserve()`
`boolean` | `getIdentifyListener()`
`int` | `getLingerTimeSecs()`
`int` | `getLowResourcePersistTime()`
`java.lang.String` | `getStatus()`
`boolean` | `hasBufferReserve()`
`boolean` | `hasIdentifyListener()`
`boolean` | `hasLingerTimeSecs()`
`boolean` | `hasLowResourcePersistTime()`
`boolean` | `hasStatus()`
`void` | `setBufferReserve(int time)`
`void` | `setIdentifyListener(boolean chunking)`
`void` | `setLingerTimeSecs(int time)`
`void` | `setLowResourcePersistTime(int time)`
`void` | `setStatus(java.lang.String status)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.jboss.HTTPConnector
`getAcceptCount, getAllowChunking, getBufferSize, getCompression, getConfidentialPort, getConfidentialScheme, getConnectionLinger, getConnectionTimeout, getDebug, getDisableUploadTime, getEnableLookups, getIntegralPort, getIntegralScheme, getMaxProcessors, getMinProcessors, getName, getParent, getPort, getPrimarySAP, getProtocolHandlerClassName, getProxyName, getProxyPort, getScheme, getSecure, getTCPNoDelay, hasAcceptCount, hasAllowChunking, hasBufferSize, hasCompression, hasConfidentialPort, hasConfidentialScheme, hasConnectionLinger, hasConnectionTimeout, hasDebug, hasDisableUploadTime, hasEnableLookups, hasIntegralPort, hasIntegralScheme, hasMaxProcessors, hasMinProcessors, hasName, hasParent, hasPort, hasPrimarySAP, hasProtocolHandlerClassName, hasProxyName, hasProxyPort, hasScheme, hasSecure, hasTCPNoDelay, setAcceptCount, setAllowChunking, setBufferSize, setCompression, setConfidentialPort, setConfidentialScheme, setConnectionLinger, setConnectionTimeout, setDebug, setDisableUploadTime, setEnableLookups, setIntegralPort, setIntegralScheme, setMaxProcessors, setMinProcessors, setName, setParent, setPort, setPrimarySAP, setProtocolHandlerClassName, setProxyName, setProxyPort, setScheme, setSecure, setTCPNoDelay`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getStatus

    java.lang.String getStatus()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStatus

    void setStatus(java.lang.String status)

### hasStatus

    boolean hasStatus()

### getLingerTimeSecs

    int getLingerTimeSecs()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLingerTimeSecs

    void setLingerTimeSecs(int time)

### hasLingerTimeSecs

    boolean hasLingerTimeSecs()

### getBufferReserve

    int getBufferReserve()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBufferReserve

    void setBufferReserve(int time)

### hasBufferReserve

    boolean hasBufferReserve()

### getLowResourcePersistTime

    int getLowResourcePersistTime()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLowResourcePersistTime

    void setLowResourcePersistTime(int time)

### hasLowResourcePersistTime

    boolean hasLowResourcePersistTime()

### getIdentifyListener

    boolean getIdentifyListener()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIdentifyListener

    void setIdentifyListener(boolean chunking)

### hasIdentifyListener

    boolean hasIdentifyListener()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD